<!-- 鼠标移入移出 -->
<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>双向链表</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
	<script>
		function DoublyLinkeList(){
		    let Node=function(){
		        this.element=element;
		        this.next=null;
		        this.prev=null;//新增
		    };
		    let length=0;
		    let head=null;
		    let tail=null;//新增
		    this.append=function(element){

		    };
		    this.insert=function(position,element){

		    };
		    this.removeAt=function(position){

		    };
		    this.indexOf=function(element){

		    };
		    this.isEmpty=function(){

		    };
		    this.size=function(){

		    };
		    this.getHead=function(){

		    };
		    this.print=function(){
		    };
		};
		this.insert=function(position,element){
			if(position>0&&position<=length){
				let node=new Node(element),
					current=head,
					previous,
					index=0;
					if(position===0){
						if(!head){
							head=node;
							tail=node;
						}else{
							node.next=current;
							current.prev=node;
							head=node;
						}
						
					}else if(position===length){
						current=tail;
						current.next=node;
						node.prev=current;
						tail=node;
					}else{
						while(index++<position){
							previous=current;
							current=current.next;
						}
						node.next=current;
						previous.next=node;
						current.prev=node;
						node.prev=previous;
					}
					length++;
					return true;
			}else{
				return false;
			}
		};
		let list=new DoublyLinkeList();
		list.insert(2,4);

  	</script>
 </body>
</html>